import request from '@/utils/request'

// 获取商品列表
export function getGoods(parameter) {
  return request({
    url: '/api/goods',
    method: 'get',
    params: parameter
  })
}

// 获取商品详情
export function getGoodsDetails(parameter) {
  return request({
    url: '/api/goods/' + parameter,
    method: 'get',
  })
}

// 添加商品
export function addGoods(parameter) {
  return request({
    url: '/api/goods',
    method: 'post',
    data: parameter
  })
}

// 编辑商品
export function putGoods(parameter) {
  return request({
    url: '/api/goods',
    method: 'put',
    data: parameter
  })
}

// 删除商品
export function delGoods(parameter) {
  return request({
    url: '/api/goods',
    method: 'delete',
    data: parameter
  })
}
